import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
export declare class ModalController {
    template: Observable<TemplateRef<any>>;
    onHide: Observable<void>;
    private displayTemplate;
    private hideEvent;
    constructor();
    show(template: TemplateRef<any>): void;
    hide(): void;
}
